Subject: [J-learn] Session-2 script

From: Arthur Anger <[email-masked]>
Date: Thu, 08 Jan 2009 23:52:28 -0500

Friends--
Attached is a brief program script demonstrating use of several J features to
manipulate a character array representing a crossword puzzle.  You may copy it
directly into the j602-user section of your Documents, or paste it into a New
ijs window, then Save.

The strategy of computing marker flags for particular data values is an
important one for controlling subsequent operations on a whole collection.

The Rank adverb (") is the directive most frequently used to control function
application, but Insert is also used often.  The less popular Cut applies
functions to patterns within data lists.

I would like to hear what type of application you are thinking of tackling, so
that I may be able to present something relevant to it.
--Art Anger